libfreehand::FHTextObject Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
libfreehand::FHTextObject Struct Reference

`#include <FHTypes.h>`

## Public Member Functions
| FHTextObject ()

## Public Attributes
unsigned | m_graphicStyleId
unsigned | m_xFormId
unsigned | m_tStringId
unsigned | m_vmpObjId
double | m_startX
double | m_startY
double | m_width
double | m_height

## Constructor & Destructor Documentation

libfreehand::FHTextObject::FHTextObject | ( |  | ) |
| inline

## Member Data Documentation

unsigned libfreehand::FHTextObject::m_graphicStyleId

Referenced by libfreehand::FHParser::readTextObject().

double libfreehand::FHTextObject::m_height

Referenced by libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

double libfreehand::FHTextObject::m_startX

Referenced by libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

double libfreehand::FHTextObject::m_startY

Referenced by libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

unsigned libfreehand::FHTextObject::m_tStringId

Referenced by libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

unsigned libfreehand::FHTextObject::m_vmpObjId

Referenced by libfreehand::FHParser::readTextObject().

double libfreehand::FHTextObject::m_width

Referenced by libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

unsigned libfreehand::FHTextObject::m_xFormId

Referenced by libfreehand::FHCollector::_getBBofTextObject(), libfreehand::FHCollector::_outputTextObject(), and libfreehand::FHParser::readTextObject().

The documentation for this struct was generated from the following file:

- FHTypes.h